Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2760173002: Revert of Make initEvent's first argument non-optional (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by Dmitry Titov
Modified:
5 months ago
Reviewers:
foolip, lunalu1
CC:
chromium-reviews, blink-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Revert of Make initEvent's first argument non-optional (patchset #4 id:60001 of https://codereview.chromium.org/2579993002/ ) Reason for revert: It looks this broke the external/wpt/dom/interfaces.html test: https://uberchromegw.corp.google.com/i/chromium.webkit/builders/WebKit%20Mac10.12/builds/448 https://uberchromegw.corp.google.com/i/chromium.webkit/builders/WebKit%20Mac10.12/builds/438 ... Original issue's description: > Make initEvent's first argument non-optional > > https://github.com/whatwg/dom/issues/387 > > BUG=673698 > > Review-Url: https://codereview.chromium.org/2579993002 > Cr-Commit-Position: refs/heads/master@{#458108} > Committed: https://chromium.googlesource.com/chromium/src/+/2948f11e04fba5f0dc7244229c542152c97c1624 TBR=foolip@chromium.org,lunalu@chromium.org # Skipping CQ checks because original CL landed less than 1 days ago. NOPRESUBMIT=true NOTREECHECKS=true NOTRY=true BUG=673698 Review-Url: https://codereview.chromium.org/2760173002 Cr-Commit-Position: refs/heads/master@{#458227} Committed: https://chromium.googlesource.com/chromium/src/+/e682298d296d225092eb3bc9ffc98e0563365bbe

Patch Set 1 #

Messages

Total messages: 8 (3 generated)
Dmitry Titov
Created Revert of Make initEvent's first argument non-optional
5 months ago (2017-03-20 23:12:56 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2760173002/1
5 months ago (2017-03-20 23:13:53 UTC) #3
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/e682298d296d225092eb3bc9ffc98e0563365bbe
5 months ago (2017-03-20 23:16:32 UTC) #6
lunalu1
You don't need to revert it. The fix is simple. Update the number in interfaces-expected.txt ...
5 months ago (2017-03-21 00:08:21 UTC) #7
lunalu1
5 months ago (2017-03-21 00:08:22 UTC) #8
Message was sent while issue was closed.
You don't need to revert it. The fix is simple. Update the number in
interfaces-expected.txt will do. This fix enable more passing WPT tests in
Blink.

On Mar 20, 2017 19:12, <dimich@chromium.org> wrote:

> Reviewers: foolip_UTC9_slow, loonybear
> CL: https://codereview.chromium.org/2760173002/
>
> Message:
> Created Revert of Make initEvent's first argument non-optional
>
> Description:
> Revert of Make initEvent's first argument non-optional (patchset #4
> id:60001 of
> https://codereview.chromium.org/2579993002/ )
>
> Reason for revert:
> It looks this broke the external/wpt/dom/interfaces.html test:
>
> https://uberchromegw.corp.google.com/i/chromium.webkit/
> builders/WebKit%20Mac10.12/builds/448
> https://uberchromegw.corp.google.com/i/chromium.webkit/
> builders/WebKit%20Mac10.12/builds/438
> ...
>
> Original issue's description:
> > Make initEvent's first argument non-optional
> >
> > https://github.com/whatwg/dom/issues/387
> >
> > BUG=673698
> >
> > Review-Url: https://codereview.chromium.org/2579993002
> > Cr-Commit-Position: refs/heads/master@{#458108}
> > Committed:
> https://chromium.googlesource.com/chromium/src/+/
> 2948f11e04fba5f0dc7244229c542152c97c1624
>
> TBR=foolip@chromium.org,lunalu@chromium.org
> # Skipping CQ checks because original CL landed less than 1 days ago.
> NOPRESUBMIT=true
> NOTREECHECKS=true
> NOTRY=true
> BUG=673698
>
> Affected files (+32, -4860 lines):
> A third_party/WebKit/LayoutTests/external/wpt/dom/events/Event-initEvent-
> expected.txt
> M third_party/WebKit/LayoutTests/external/wpt/dom/interfaces-expected.txt
> D third_party/WebKit/LayoutTests/platform/mac-mac10.11/external/wpt/dom/
> interfaces-expected.txt
> D third_party/WebKit/LayoutTests/platform/mac-retina/external/wpt/dom/
> events/Event-initEvent-expected.txt
> D third_party/WebKit/LayoutTests/platform/mac-retina/external/wpt/dom/
> interfaces-expected.txt
> D third_party/WebKit/LayoutTests/platform/win/external/wpt/dom/interfaces-
> expected.txt
> M third_party/WebKit/Source/core/events/Event.idl
>
>
>

-- 
You received this message because you are subscribed to the Google Groups
"Chromium-reviews" group.
To unsubscribe from this group and stop receiving emails from it, send an email
to chromium-reviews+unsubscribe@chromium.org.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b